Object subclass: #BenchLogger
	instanceVariableNames: 'dependents testName testResult'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Bench-Support'!
!BenchLogger commentStamp: 'postgres 7/23/2010 20:41' prior: 0!
This class logs benchmarks.  The benchmark suite is the old STIC benchmarks found at http://www.stic.org and ported to later revs of VW.  Look at the class side for example runs

Instance Variables

	testName	<String>	 Name of test
	testResult	<Number>	Milliseconds to run
!


!BenchLogger methodsFor: 'printing' stamp: 'postgres 7/23/2010 20:41'!
printOn: aStream
	aStream nextPutAll: self testName.
	aStream nextPutAll: ' -- '.
	aStream nextPutAll: self testResult printString! !

!BenchLogger methodsFor: 'printing' stamp: 'postgres 7/23/2010 20:41'!
printOntoStream: aStream forRecord: count
	aStream nextPutAll: self testName.
	aStream nextPut: $,.
	aStream nextPutAll: self testResult printString.
	aStream cr! !


!BenchLogger methodsFor: 'accessing' stamp: 'postgres 7/23/2010 20:41'!
testName

	^testName! !

!BenchLogger methodsFor: 'accessing' stamp: 'postgres 7/23/2010 20:41'!
testName: aValue

	testName := aValue.
	self changed: #testName! !

!BenchLogger methodsFor: 'accessing' stamp: 'postgres 7/23/2010 20:41'!
testResult

	^testResult! !

!BenchLogger methodsFor: 'accessing' stamp: 'postgres 7/23/2010 20:41'!
testResult: aValue

	testResult := aValue.
	self changed: #testResult! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

BenchLogger class
	instanceVariableNames: ''!

!BenchLogger class methodsFor: 'reporting' stamp: 'postgres 7/23/2010 20:41'!
typeDef
	^#(#String #Float)! !


Object subclass: #SimpleProxy
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Bench-Support'!
!SimpleProxy commentStamp: 'postgres 7/23/2010 20:41' prior: 0!
SimpleProxy exists to throw DNU for a test
!


!SimpleProxy methodsFor: 'api' stamp: 'postgres 7/23/2010 20:41'!
acceptString: aString
	^self! !


!SimpleProxy methodsFor: 'proxying' stamp: 'postgres 7/23/2010 20:41'!
doesNotUnderstand: aMessage
	| msg |
	msg := (aMessage selector asString, ':') asSymbol.
	self perform: msg with: 'Test'! !
